BearSSL

br_ssl_engine_context Struct Reference

Context structure for SSL engine. More...

`#include <bearssl_ssl.h>`

## Detailed Description

Context structure for SSL engine.

This strucuture is common to the client and server; both the client context (`br_ssl_client_context`) and the server context (`br_ssl_server_context`) include a `br_ssl_engine_context` as their first field.

The engine context manages records, including alerts, closures, and transitions to new encryption/MAC algorithms. Processing of handshake records is delegated to externally provided code. This structure should not be used directly.

Structure contents are opaque and shall not be accessed directly.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h